# TP2

## Exercice : formatage de texte

Voir [regles.html](regles.html).

Le sectionnement peut varier (e.g., le `<h1>` dans le `<main>` ou juste avant). Rappeller qu'il y a des balises comme `<cite>` ou `<sup>`. Les balises `<div>` ne sont pas recommandées ici.
Il ne doit y avoir **aucune** erreur sur <https://validator.w3.org>.

Point technique :

- faire sauvegarde les pages avec _save link as_ et pas _save page as_ car le navigateur va modifier les chemins dans le document `html`,
- dans l'explorateur de fichier de l'OS, afficher les extensions des fichiers.

## Exercice : mise en forme des recettes

Voir [recette.css](recette.css).

## Exercice : conflits CSS et résolution

En fait, il n'y a pas d'héritage sur ce cas. Les seuls conflits sont sur `color`.

| Identifiant HTML | A   | B   | C   | D   | E   | F   | Conflit | Résolution         |
| ---------------- | --- | --- | --- | --- | --- | --- | ------- | ------------------ |
| `corps`          |     |     |     |     |     |     |         |                    |
| `titre`          |     |     |     |     |     |     |         |                    |
| `par-intro`      |     |     |     | x   |     | x   | `color` | F est plus précise |
| `contenu`        |     |     |     |     |     |     |         |                    |
| `par-1`          | x   | x   |     | x   |     |     | `color` | A plus précise     |
| `par-2`          |     |     |     | x   |     |     |         |                    |
| `par-3`          | x   | x   | x   | x   |     |     | `color` | C plus précise     |
| `par-conc`       |     |     |     | x   | x   | x   | `color` | E plus précise     |

Rien si par défaut dans le tableau suivant.

| Identifiant HTML | couleur         | style    | graisse |
| ---------------- | --------------- | -------- | ------- |
| `corps`          |                 |          |         |
| `titre`          |                 |          |         |
| `par-intro`      | `darkgreen`     |          |         |
| `contenu`        |                 |          |         |
| `par-1`          | `darkgray`      | `italic` |         |
| `par-2`          | `darkblue`      |          |         |
| `par-3`          | `darkred`       | `italic` | `bold`  |
| `par-conc`       | `darkturquoise` |          |         |

Voir l'image ci-dessous pour les conflits dans les _DevTools_.
Pour `par-intro` où on voit les deux règles applicables, l'ordre d'application et l'attribut `color` de la règle la moins spécifique rayé.

![Screenshot de conflits sur par-intro](../exemple_devtools_conflit.png)

Similairement, pour le paragraphe `par-3`, on voit que les règles A, B, C et D s'appliquent.
Il y a conflit sur la couleur, c'est la règle avec le sélecteur le plus spécifique qui gagne, la C.

![Screenshot de conflits sur par-3](explication_par-3.png)
